import { request } from "@/utils/request";

import { ExamSubjectPageParams } from "./types/common";
import { RecognizeConditionItem } from "./types/recognizeCheck";

// 识别对照管理
export const recognizeCheckList = (
  data: ExamSubjectPageParams
): Promise<ImageCheckListPageResult> =>
  request({
    url: "/api/admin/check/omr/group/page",
    method: "post",
    data,
  });

// 所有可用的识别对照条件
export const recognizeConditionsList = (): Promise<RecognizeConditionItem[]> =>
  request({
    url: "/api/admin/check/omr/conditions",
    method: "post",
    data,
  });
